/*********************************************************/
/* MakeCopyDOpus.rexx   $VER: 1.2 (1.8.96)  for PicView  */
/* (C) 1996 Maik Solf            solf@madhouse.boerde.de */
/* Im collecting handdrawn pictures, contact me 2 swap   */
/*********************************************************/

OPTIONS RESULTS

Argumente=ARG(1)

PARSE VAR Argumente FullName ShortName Quelle Rest

/* open rexxreqtools.library */
IF ~SHOW('L',"rexxreqtools.library") THEN
   IF ~ADDLIB("rexxreqtools.library", 0, -30, 0) THEN
      EXIT 10

/* Vars */
Enter='0a'x
DEnter=Enter || Enter

/* User-Options */
PicViewPath='Work:Grafik/PicView/PicView'
YourName='solf@madhouse.boerde.de (Maik Solf)'
DefDir='RAM:'                               /* for copy-file */
OutDir='TEMP:'                              /* copy ... TO OutDir */
Titel=';Pictures for' YourName

/* Open PicView */
IF ~SHOW('Ports','PICVIEW.1') THEN DO
    ADDRESS COMMAND 'C:Run >NIL:' PicViewPath
    ADDRESS COMMAND 'REXXC:WaitForPort PICVIEW.1'
    IF ~SHOW('Ports','PICVIEW.1') THEN EXIT 10
END

ADDRESS 'PICVIEW.1'

/* Katalog laden */
openproject FullName

/* number of pictures */
getentries
Number=RESULT
IF Number=0 THEN DO
   SAY 'No pictures in catalog:' ShortName
   EXIT 5
END

/* make filename */
ShortNameLen=LENGTH(ShortName)-2                 /* without "" */
ShortName=SUBSTR(ShortName,2,ShortNameLen)

ShortNameR=REVERSE(ShortName)
LastPoint=ShortNameLen-INDEX(ShortNameR,'.')
Filename=Quelle || SUBSTR(ShortName,1,LastPoint) || '.copy'

/* open file */
IF OPEN(Handle,Filename,'W')=0 THEN DO
   SAY 'Couldnt open file:' Filename
   EXIT 20
END

/* write titel */
WRITELN(Handle,Titel)

DO i=0 TO Number-1
/* get data of picture */
   /* no parse because Space */
   getpicdata i data file
   OneFile=RESULT
/* write to ascii */
   Entry='copy "' || OneFile || '" "' || OutDir || '"'
   WRITELN(Handle,Entry)
END

CLOSE(handle)

ADDRESS COMMAND 'Protect "' || Filename || '" S ADD'

IF Number=1
   THEN Ende=Number 'picture saved as copy from' ShortName || '.'
   ELSE Ende=Number 'pictures saved as copy from' ShortName || '.'

SAY Ende

EXIT 0
