/*********************************************************/
/* MakeAscii.rexx       $VER: 1.2 (1.8.96)  for PicView  */
/* (C) 1996 Maik Solf            solf@madhouse.boerde.de */
/* Im collecting handdrawn pictures, contact me 2 swap   */
/*********************************************************/

OPTIONS RESULTS
ADDRESS 'PICVIEW.1'

/* open rexxreqtools.library */
IF ~SHOW('L',"rexxreqtools.library") THEN
   IF ~ADDLIB("rexxreqtools.library", 0, -30, 0) THEN
      EXIT 10

/* Vars */
Enter='0a'x
DEnter=Enter || Enter

/* User-Options */
YourName='Maik Solf'
Titel='Pictures from' YourName ||  Enter || '-----------------------' || DEnter

/* get DefDir without */
DefDirFilename='PICVIEW:DefDirMakeAscii'

IF OPEN(handle,DefDirFilename,'R')=0 THEN DefDir='RAM:'
                                     ELSE DefDir=READLN(handle)
CLOSE(handle)

/* number of pictures */
getentries
Number=RESULT
IF Number=0 THEN DO
   rtezrequest('No pictures in current catalog.' , , 'MakeAscii.rexx' )
   EXIT 5
END

/* get filename */
Filename=rtfilerequest(DefDir, , "Select File" , , , )
IF rtresult==0 THEN DO
   CALL rtezrequest('You didnt pick a file.' , , 'MakeAscii.rexx' )
   EXIT 20
END

/* parse Filename -> DefDir + File */
DirEnd=1
DO i=1 TO LENGTH(Filename)
   IF SUBSTR(Filename,i,1)=':' THEN DirEnd=i
   IF SUBSTR(Filename,i,1)='/' THEN DirEnd=i
END
DefDir=SUBSTR(Filename,1,DirEnd-1)

/* store DefDir */
IF OPEN(handle,DefDirFilename,'W')~=0 THEN WRITELN(handle,DefDir)
CLOSE(handle)

/* open file */
IF OPEN(Handle,Filename,'W')=0 THEN DO
   rtezrequest('Couldnt open file.' , , 'MakeAscii.rexx' )
   EXIT 20
END

/* write titel */
WRITELN(Handle,Titel)

DO i=0 TO Number-1
/* get data of picture */
   /* no parse because Space */
   getpicdata i data name
   NA=RESULT
   getpicdata i data path
   PA=RESULT
   getpicdata i data file
   FI=RESULT
   getpicdata i data comment
   CM=RESULT
   getpicdata i data modetext
   MT=RESULT
   /* parse possible */
   getpicdata i data weekday date time width height depth size format modeid
   PARSE VAR RESULT WD DA TI WI HE DP SI FM MI
/* convert to output */
   CALL UP_Format
/* write to ascii */
   WRITELN(Handle,Entry)
END

IF Number=1
   THEN Ende=Number 'picture'
   ELSE Ende=Number 'pictures'

WRITELN(Handle,Ende)

CLOSE(handle)

Ende=Ende 'saved as ascii.'

rtezrequest(Ende , , 'MakeAscii.rexx' )

EXIT 0

UP_Format:
/* chance your output */
    Entry=''
    Entry=Entry || 'Name   :' NA || Enter
    Entry=Entry || 'Width  :' WI || Enter
    Entry=Entry || 'Height :' HE || Enter
    Entry=Entry || 'Depth  :' DP || Enter
    Entry=Entry || 'Mode   :' MT || Enter
RETURN
