/*********************************************************/
/* MakeCopy.rexx        $VER: 1.2 (1.8.96)  for PicView  */
/* (C) 1996 Maik Solf            solf@madhouse.boerde.de */
/* Im collecting handdrawn pictures, contact me 2 swap   */
/*********************************************************/

OPTIONS RESULTS
ADDRESS 'PICVIEW.1'

/* open rexxreqtools.library */
IF ~SHOW('L',"rexxreqtools.library") THEN
   IF ~ADDLIB("rexxreqtools.library", 0, -30, 0) THEN
      EXIT 10

/* User-Options */
YourName='solf@madhouse.boerde.de (Maik Solf)'
DefDir='RAM:'                               /* for copy-file */
OutDir='TEMP:'                              /* copy ... TO OutDir */
Titel=';Pictures for' YourName

/* number of pictures */
getentries
Number=RESULT
IF Number=0 THEN DO
   rtezrequest('No pictures in current catalog.' , , 'MakeCopy.rexx' )
   EXIT 5
END

/* get filename */
Filename=rtfilerequest(DefDir, , "Select File" , , , )
IF rtresult==0 THEN DO
   CALL rtezrequest('You didnt pick a file.' , , 'MakeCopy.rexx' )
   EXIT 20
END

/* open file */
IF OPEN(Handle,Filename,'W')=0 THEN DO
   rtezrequest('Couldnt open file.' , , 'MakeCopy.rexx' )
   EXIT 20
END

/* write titel */
WRITELN(Handle,Titel)

DO i=0 TO Number-1
/* get data of picture */
   /* no parse because Space */
   getpicdata i data file
   OneFile=RESULT
/* write to ascii */
   Entry='copy "' || OneFile || '" "' || OutDir || '"'
   WRITELN(Handle,Entry)
END

IF Number=1
   THEN Ende=Number 'picture'
   ELSE Ende=Number 'pictures'

CLOSE(handle)

ADDRESS COMMAND 'Protect "' || Filename || '" S ADD'

Ende=Ende 'saved as copy.'

rtezrequest(Ende , , 'MakeCopy.rexx' )

EXIT 0
